# PHTTPClientBasicAuthentication Class Reference

`#include <http.h>`

Inheritance diagram for PHTTPClientBasicAuthentication:

List of all members.

## Public Member Functions

| PHTTPClientBasicAuthentication ()
virtual Comparison | Compare (const PObject &other) const
| Compare the two objects and return their relative rank.
virtual PBoolean | Parse (const PString &auth, PBoolean proxy)
virtual PBoolean | Authorise (AuthObject &pdu) const

## Constructor & Destructor Documentation

PHTTPClientBasicAuthentication::PHTTPClientBasicAuthentication | ( |  | ) |

## Member Function Documentation

virtual PBoolean PHTTPClientBasicAuthentication::Authorise | ( | AuthObject & | pdu | ) | const`[virtual]`

virtual Comparison PHTTPClientBasicAuthentication::Compare | ( | const PObject & | other | ) | const`[virtual]`

Compare the two objects and return their relative rank.

This function is usually overridden by descendent classes to yield the ranking according to the semantics of the object.

The default function is to use the `CompareObjectMemoryDirect()` function to do a byte wise memory comparison of the two objects.

Returns:
  `LessThan`, `EqualTo` or `GreaterThan` according to the relative rank of the objects.

Reimplemented from PHTTPClientAuthentication.

virtual PBoolean PHTTPClientBasicAuthentication::Parse | ( | const PString & | auth,
|  | PBoolean | proxy |
| ) |  |  | `[virtual]`

Implements PHTTPClientAuthentication.

The documentation for this class was generated from the following file:

- http.h